package konto;

public class Zycie1 {

	public static void main(String[] args) {
		Konto konto = new Konto(1, "Ala", 1400);
		System.out.println("Stan początkowy: " + konto.getSaldo());
		
		Thread wplacacz = new Thread(() -> {
			try {
				while(true) {
					Thread.sleep(5000);
					konto.wplata(1000);
					System.out.println("wplacacz: po wpłacie jest " + konto.getSaldo());
				}
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		});
		
		Thread wyplacacz = new Thread(() -> {
			try {
				while(true) {
					Thread.sleep(700);
					try {
						konto.wyplata(300);
						System.out.println("wyplacacz: po wypłacie jest " + konto.getSaldo());
					} catch (BrakSrodkow e) {
						System.err.println("wyplacacz: " + e.getMessage());
					}
				}
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		});

		System.out.println("Startujemy wątki...");
		wplacacz.start();
		wyplacacz.start();
	}

}
